SDL_metal.h File Reference
`#include "SDL_video.h"`
`#include "begin_code.h"`
`#include "close_code.h"`
Include dependency graph for SDL_metal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef void * | SDL_MetalView

## Functions

Metal support functions
SDL_MetalView | SDL_Metal_CreateView (SDL_Window *window)
void | SDL_Metal_DestroyView (SDL_MetalView view)
void * | SDL_Metal_GetLayer (SDL_MetalView view)
void | SDL_Metal_GetDrawableSize (SDL_Window *window, int *w, int *h)

## Typedef Documentation

## SDL_MetalView

typedef void* SDL_MetalView

# CategoryMetal

Header file for functions to creating Metal layers and views on SDL windows. A handle to a CAMetalLayer-backed NSView (macOS) or UIView (iOS/tvOS).

This can be cast directly to an NSView or UIView.

Definition at line 45 of file SDL_metal.h.

## Function Documentation

## SDL_Metal_CreateView()

SDL_MetalView SDL_Metal_CreateView | ( | SDL_Window * | window | ) |

extern

Create a CAMetalLayer-backed NSView/UIView and attach it to the specified window.

On macOS, this does not associate a MTLDevice with the CAMetalLayer on its own. It is up to user code to do that.

The returned handle can be casted directly to a NSView or UIView. To access the backing CAMetalLayer, call SDL_Metal_GetLayer().

Since
  This function is available since SDL 2.0.12.

See also
  SDL_Metal_DestroyView
  SDL_Metal_GetLayer

## SDL_Metal_DestroyView()

void SDL_Metal_DestroyView | ( | SDL_MetalView | view | ) |

extern

Destroy an existing SDL_MetalView object.

This should be called before SDL_DestroyWindow, if SDL_Metal_CreateView was called after SDL_CreateWindow.

Since
  This function is available since SDL 2.0.12.

See also
  SDL_Metal_CreateView

## SDL_Metal_GetDrawableSize()

void SDL_Metal_GetDrawableSize | ( | SDL_Window * | window,
|  | int * | w,
|  | int * | h )

extern

Get the size of a window's underlying drawable in pixels (for use with setting viewport, scissor & etc).

Parameters

  window | SDL_Window from which the drawable size should be queried.
  w | Pointer to variable for storing the width in pixels, may be NULL.
  h | Pointer to variable for storing the height in pixels, may be NULL.

Since
  This function is available since SDL 2.0.14.

See also
  SDL_GetWindowSize
  SDL_CreateWindow

## SDL_Metal_GetLayer()

void * SDL_Metal_GetLayer | ( | SDL_MetalView | view | ) |

extern

Get a pointer to the backing CAMetalLayer for the given view.

Since
  This function is available since SDL 2.0.14.

See also
  SDL_Metal_CreateView